> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/edit-page-content/watermark-editor.md).

# Watermark Editor

Learn how to add watermarks to PDF documents in Xamarin.Android using a graphical UI component. Stamp text overlays on each page with the WatermarkDialog. Show the watermark editor easily! The Apryse

A graphical UI component to allow users to create text watermarks on documents using the viewer.

## Add Watermarks to PDF in Xamarin.Android

{% hint style="info" %}
**This tutorial only applies to Xamarin.Android.**
{% endhint %}

The [`WatermarkDialog`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Dialog.Watermark.WatermarkDialog.html) allows you to stamp a PDF document with text that overlays each page of the document.

![](https://653871032-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgjsBtuYmcKhWOdM9VCg4%2Fuploads%2Fgit-blob-86238ad28b0b3d7338310920d9426c4efc3f7c28%2Fb2149f87bb67c07c03f95d7b570e367d8eedab02-1080x2160.png?alt=media)

## Show the watermark editor

The watermark editor can be shown from an activity by calling the following method:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
public void ShowWatermarkDialog(PDFViewCtrl pdfViewCtrl, FragmentManager fragmentManager)
{
    var fragment =pdftron.PDF.Dialog.Watermark.WatermarkDialog.NewInstance(pdfViewCtrl);
    fragment.Show(fragmentManager);
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/edit-page-content/watermark-editor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
